com.tibco.datagrid.exceptions

## Class DataGridInvalidConfigException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibco.datagrid.DataGridException
      - - com.tibco.datagrid.exceptions.DataGridInvalidConfigException

- All Implemented Interfaces:
    java.io.Serializable

      public class DataGridInvalidConfigException
      extends DataGridException

  Invalid or contradictory property values.

  Common Diagnoses:

  - Configuration mismatch among event queue discard policy properties.
  - A program attempted to create a dynamic durable but the endpoint is not associated with a store.
  - A program attempted to unsubscribe a dynamic durable but the endpoint is not associated with a store.
  - An argument to an API call does not support the action of that call.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataGridInvalidConfigException()`
    `DataGridInvalidConfigException(java.lang.String message)`
    `DataGridInvalidConfigException(java.lang.String message, java.lang.Throwable cause)`
    `DataGridInvalidConfigException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.tibco.datagrid.DataGridException

      `getErrorCode, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataGridInvalidConfigException

          public DataGridInvalidConfigException()

    - #### DataGridInvalidConfigException

          public DataGridInvalidConfigException(java.lang.String message,
                                                java.lang.Throwable cause)

    - #### DataGridInvalidConfigException

          public DataGridInvalidConfigException(java.lang.String message)

    - #### DataGridInvalidConfigException

          public DataGridInvalidConfigException(java.lang.Throwable cause)